# ApplicationFramework
TKBinL
BinTools

# BinTools_CurveSet Class Reference

Stores a set of Curves from Geom in binary format.
.

`#include <BinTools_CurveSet.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | BinTools_CurveSet ()
| Returns an empty set of Curves. .
Standard_EXPORT void | Clear ()
| Clears the content of the set. .
Standard_EXPORT Standard_Integer | Add (const Handle(Geom_Curve)&C)
| Incorporate a new Curve in the set and returns its index. .
Standard_EXPORT Handle_Geom_Curve | Curve (const Standard_Integer I) const
| Returns the Curve of index . .
Standard_EXPORT Standard_Integer | Index (const Handle(Geom_Curve)&C) const
| Returns the index of <l>. .
Standard_EXPORT void | Write (Standard_OStream &OS) const
| Writes the content of me on the stream <os> in a format that can be read back by Read. .
Standard_EXPORT void | Read (Standard_IStream &IS)
| Reads the content of me from the stream <is>. me is first cleared. .

## Static Public Member Functions

static Standard_EXPORT void | WriteCurve (const Handle(Geom_Curve)&C, Standard_OStream &OS)
| Dumps the curve on the stream in binary format that can be read back. .
static Standard_EXPORT Standard_IStream & | ReadCurve (Standard_IStream &IS, Handle(Geom_Curve)&C)
| Reads the curve from the stream. The curve is assumed to have been written with the Write method .

## Private Attributes

TColStd_IndexedMapOfTransient | myMap

## Constructor & Destructor Documentation

Standard_EXPORT BinTools_CurveSet::BinTools_CurveSet | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer BinTools_CurveSet::Add | ( | const Handle(Geom_Curve)& | C | ) |

Standard_EXPORT void BinTools_CurveSet::Clear | ( |  | ) |

Standard_EXPORT Handle_Geom_Curve BinTools_CurveSet::Curve | ( | const Standard_Integer | I | ) | const

Standard_EXPORT Standard_Integer BinTools_CurveSet::Index | ( | const Handle(Geom_Curve)& | C | ) | const

void BinTools_CurveSet::operator delete | ( | void * | anAddress | ) | `[inline]`

void* BinTools_CurveSet::operator new | ( | size_t | size | ) | `[inline]`

void* BinTools_CurveSet::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void BinTools_CurveSet::Read | ( | Standard_IStream & | IS | ) |

static Standard_EXPORT Standard_IStream& BinTools_CurveSet::ReadCurve | ( | Standard_IStream & | IS,
|  | Handle(Geom_Curve)& | C
| ) | `[static]`

Standard_EXPORT void BinTools_CurveSet::Write | ( | Standard_OStream & | OS | ) | const

static Standard_EXPORT void BinTools_CurveSet::WriteCurve | ( | const Handle(Geom_Curve)& | C,
|  | Standard_OStream & | OS
| ) | `[static]`

## Field Documentation

TColStd_IndexedMapOfTransient BinTools_CurveSet::myMap `[private]`

The documentation for this class was generated from the following file:

- BinTools_CurveSet.hxx